///////
//
// Student: Russell Lowke
//     T.F: Francis Crick
// Unit Three, Easy Supplementary - question 12 [worth 3pts],  7/7/2002
//
//  Three sleazy desperados robbed a shipment of gold bars.


#include <iostream>
#include <iomanip>

void main()
{
	int  copyi;
	bool passTest;
	
	cout << "The shipment could have contained: " << endl;
	
	for (int i = 1; i <= 500; i++) {
	
		copyi    = i;
		passTest = true;
		
		// test number 4 times
		for (int j = 1; j <= 4; j++) {
			if ( copyi % 3 == 1 )
				copyi = copyi - ( (copyi/3) + 1 );
			else
				passTest = false;
		}
		
		if (passTest)
			cout << i << " gold bars" << endl;
	}
}
